libzypp 17.37.10

zypp::repo::factory Namespace Reference

## Functions
PackageProvider::Impl * | make (RepoMediaAccess &access_r, const PoolItem &pi_r, DeltaCandidates &&deltas_r, PackageProviderPolicy &&policy_r)
PackageProvider::Impl * | make (RepoMediaAccess &access_r, const PoolItem &pi_r, PackageProviderPolicy &&policy_r)
PackageProvider::Impl * | make (RepoMediaAccess &access_r, Package::constPtr &&package_r, DeltaCandidates &&deltas_r, PackageProviderPolicy &&policy_r)

## Function Documentation

## ◆ make() [1/3]

PackageProvider::Impl * zypp::repo::factory::make | ( | RepoMediaAccess & | access_r,
|  | const PoolItem & | pi_r,
|  | DeltaCandidates && | deltas_r,
|  | PackageProviderPolicy && | policy_r )
| inline

Definition at line 661 of file PackageProvider.cc.

## ◆ make() [2/3]

PackageProvider::Impl * zypp::repo::factory::make | ( | RepoMediaAccess & | access_r,
|  | const PoolItem & | pi_r,
|  | PackageProviderPolicy && | policy_r )
| inline

Definition at line 673 of file PackageProvider.cc.

## ◆ make() [3/3]

PackageProvider::Impl * zypp::repo::factory::make | ( | RepoMediaAccess & | access_r,
|  | Package::constPtr && | package_r,
|  | DeltaCandidates && | deltas_r,
|  | PackageProviderPolicy && | policy_r )
| inline

Definition at line 684 of file PackageProvider.cc.